> ## Documentation Index
> Fetch the complete documentation index at: https://docs.squarecloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Blob オブジェクト情報

> GET /v1/objects/info で 1 つのファイルの詳細を読み取ります: サイズ、コンテンツタイプ、有効期限、公開範囲、キャッシュ、元の名前、メタデータ。

<ParamField header="Authorization" type="string" placeholder="API Key" required>
  アカウントの API キーです。これは[アカウント設定](https://squarecloud.app/ja/account/security)で確認できます。
</ParamField>

オブジェクト情報は、ファイルをダウンロードせずに、Blob Storage がそのファイルについて把握しているすべての情報を返します: サイズ、コンテンツタイプ、有効期限、公開範囲、配信時のヘッダー、元のファイル名、メタデータです。`blob:read` スコープが必要です。

<ParamField query="object" type="string" required>
  ファイルの id。
</ParamField>

### レート制限

<Note>1 分間に 60 リクエスト (`RATE_LIMITED`、429)。</Note>

### レスポンス

<ResponseField name="status" type="string">
  成功した場合は "success"、失敗した場合は "error" です。
</ResponseField>

<ResponseField name="response" type="object">
  <Expandable title="オブジェクトを切り替え">
    <ResponseField name="id" type="string">
      ファイルの id。
    </ResponseField>

    <ResponseField name="size" type="number">
      サイズ (バイト)。
    </ResponseField>

    <ResponseField name="content_type" type="string">
      ファイルの配信時の `Content-Type`。拡張子から決定されます。
    </ResponseField>

    <ResponseField name="etag" type="string">
      ETag。内容が変わると変化します。
    </ResponseField>

    <ResponseField name="created_at" type="ISO 8601">
      ファイルが書き込まれた日時。公開範囲、有効期限、ヘッダーを変更するとファイルが書き直され、この日時はリセットされます。
    </ResponseField>

    <ResponseField name="expires_at" type="ISO 8601 | null">
      ファイルが削除される日時、または `null`。
    </ResponseField>

    <ResponseField name="private" type="boolean">
      ファイルがプライベートかどうか。
    </ResponseField>

    <ResponseField name="url" type="string | null">
      公開 URL。プライベートファイルの場合は `null`。
    </ResponseField>

    <ResponseField name="cache_control" type="string | null">
      `Cache-Control` ヘッダー。CDN のデフォルトが適用される場合は `null`。
    </ResponseField>

    <ResponseField name="content_disposition" type="string | null">
      `Content-Disposition` ヘッダー、または `null`。
    </ResponseField>

    <ResponseField name="original_name" type="string | null">
      アップロード時のファイル名。
    </ResponseField>

    <ResponseField name="metadata" type="object">
      キーと値の文字列で表されたメタデータ。
    </ResponseField>

    <ResponseField name="legacy" type="boolean">
      2026年9月のアップデート以前に保存されたレガシーファイルの場合は `true`。
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://blob.squarecloud.app/v1/objects/info?object=pub/3155597145698959364/images/logo_mugws5c0-9f86d081884c7d659a2feaa0c55ad015.png' \
    --header 'Authorization: YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "status": "success",
    "response": {
      "id": "pub/3155597145698959364/images/logo_mugws5c0-9f86d081884c7d659a2feaa0c55ad015.png",
      "size": 416230,
      "content_type": "image/png",
      "etag": "\"9bb58f26192e4ba00f01e2e7b136bbd8\"",
      "created_at": "2026-09-25T12:00:00.000Z",
      "expires_at": null,
      "private": false,
      "url": "https://blob.squarecloud.dev/pub/3155597145698959364/images/logo_mugws5c0-9f86d081884c7d659a2feaa0c55ad015.png",
      "cache_control": "public, max-age=31536000, immutable",
      "content_disposition": null,
      "original_name": "logo.png",
      "metadata": { "campaign": "spring" },
      "legacy": false
    }
  }
  ```
</ResponseExample>

### エラー

| コード                | HTTP | 発生する状況                               |
| ------------------ | ---- | ------------------------------------ |
| `INVALID_OBJECT`   | 400  | `object` がない、形式が正しくない、またはあなたのものではない。 |
| `OBJECT_NOT_FOUND` | 404  | ファイルが存在しない。                          |
| `RATE_LIMITED`     | 429  | 1 分間に 60 リクエストを超えた。                  |
